Index: /extensions/Mail_supervisor/admin/header_2_1.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/header_2_1.tpl	(revision 9701)
+++ /extensions/Mail_supervisor/admin/header_2_1.tpl	(revision 9702)
@@ -1,5 +1,5 @@
-﻿{known_script id="jquery" src= $ROOT_URL|@cat:$path_js|@cat:"jquery.js" } 
-{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:$path_js|@cat:"plugins/jquery.cluetip.js" }
-{known_script id="jquery" src= $ROOT_URL|@cat:$path_js|@cat:"jquery.js"}
+﻿{html_head}
+{known_script id="jquery" src= $ROOT_URL|@cat:$path_js|@cat:"jquery.packed.js" } 
 {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:$path_js|@cat:"plugins/jquery.cluetip.packed.js" }
-{known_script id="mail_script" src= $MAIL_SUPERV_PATH|@cat:"include/Scripts.js"}
+{known_script id="mail_script" src= $MAIL_SUPERV_PATH|@cat:"include/Scripts.js"}{/html_head}
+<input id="action_spam" name="action_spam" type="hidden" value="{$action_spam}" />
Index: /extensions/Mail_supervisor/admin/header_2_2.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/header_2_2.tpl	(revision 9701)
+++ /extensions/Mail_supervisor/admin/header_2_2.tpl	(revision 9702)
@@ -1,5 +1,5 @@
-﻿{combine_script id="jquery" path= $ROOT_URL|@cat:$path_js|@cat:"jquery.js" }
+﻿{combine_script id="jquery" path= $ROOT_URL|@cat:$path_js|@cat:"jquery.min.js" }
 {combine_script id="jquery.cluetip" path=$ROOT_URL|@cat:$path_js|@cat:"plugins/jquery.cluetip.js" require="jquery"}
-{combine_script id="jquery" src= $ROOT_URL|@cat:$path_js|@cat:"jquery.js"}
-{combine_script id="jquery.cluetip" path=$ROOT_URL|@cat:$path_js|@cat:"plugins/jquery.cluetip.packed.js" require="jquery"}
 {combine_script id="my_script" path= $MAIL_SUPERV_PATH|@cat:"include/Scripts.js" }
+
+<input id="action_spam" name="action_spam" type="hidden" value="{$action_spam}" />
Index: /extensions/Mail_supervisor/admin/mail_black_liste.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 9701)
+++ /extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 9702)
@@ -1,18 +1,6 @@
-{* $Id: mail_black_liste.tpl 3723 2009-08-07 04:53:38Z rvelices $ *}
-{html_head}
-{if PHPWG_VERSION < 2.2 } {include file=$MAIL_SUPERV_PATH_ABS|@cat:'header_2_1.tpl'}
-{else} {include file= $MAIL_SUPERV_PATH_ABS|@cat:'header_2_2.tpl'} {/if} {/html_head}
-
+{* $Id: mail_black_liste.tpl cljosse $ *} 
 <script type="text/javascript">
-jQuery().ready(function()
-{ldelim}
-  jQuery('.cluetip').cluetip(
-  {ldelim}
-    width: 550,
-    splitTitle: '|'
-  {rdelim});
-{rdelim});
+ var confirm_message = "{'Sv_Are_you_sure'|@translate|@escape:'javascript'}?";  
 </script>
-
 <link href="theme.css" rel="stylesheet" type="text/css" />
 {html_head}<link rel="stylesheet" type="text/css" href="{$MAIL_SUPERV_PATH}admin/theme.css" />{/html_head}
@@ -24,55 +12,61 @@
 <form action='' method="post" name="form_black">
 <fieldset>
-    <legend >{'Sv_options'|translate}</legend>
- <table> 
-<td><input type="checkbox" name="no_mail_list" value="on" {$no_mail_list}  />&nbsp;&nbsp;{'Sv_no_mail_list'|translate}	</td>
-<td><input type="checkbox" style="visibility:hidden" name="no_connect" value="off" {$no_connect} />&nbsp;&nbsp; </td>
-<td><input type="checkbox" style="visibility:hidden" name="set_auto" value="off" {$set_auto} />&nbsp;&nbsp; </td>
-<td><input type="checkbox" name="set_id" value="on" {$set_id} />&nbsp;&nbsp;{'Sv_set_id'|translate}</td>
-<tr><p></p><td>
-<input class="submit" type="submit" name="submit" value="{'Sv_Valider'|translate}" /></td></tr>
- </table>
+<legend >{'Sv_options'|translate}</legend>
+  <table> 
+    <td><input type="checkbox" name="no_mail_list" value="on" {$no_mail_list}  />&nbsp;&nbsp;{'Sv_no_mail_list'|translate}	</td>
+    <td style="visibility:hidden" ><input type="checkbox" name="no_connect" value="off" {$no_connect} />&nbsp;&nbsp;{'Sv_no_connect'|translate} </td>
+    <td style="visibility:visible" ><input type="checkbox"  name="set_auto" value="off" {$set_auto} />&nbsp;&nbsp;{'Sv_set_auto'|translate} </td>
+    <td style="visibility:hidden" ><input type="checkbox" name="set_id" value="on" {$set_id} />&nbsp;&nbsp;{'Sv_set_id'|translate}</td>
+    <tr><p></p><td>
+    <input class="submit" type="submit" name="submit" value="{'Sv_Valider'|translate}" /></td></tr>
+  </table>
 </fieldset>
 <input name="info1" type="hidden" />
  <fieldset >
-    <legend>{'Sv_black_liste'|translate}</legend>
-	   <table>
- 		<div > 
-	  	<input name="ip_black" id = "ip_black_test" type="text" value="{$ip_black}"	 />
-	  <input class="cluetip" title="{'Sv_Test'|translate}|{'Sv_hlp_7_3'|translate}"   type="submit" name="submit" value="{'Sv_Test'|translate}"  /> 
-
-{ if $ip_black_len > 0}
-		
-	       {if  $IS_SPAM  == true }
-				<label class="erreur">	{'Sv_is_a_spam'|@translate} </label>
-				{ else }
-				 <label class="erreur">	{'Sv_not_a_spam'|@translate} </label>
-			{/if}
-			{ if  $istype == 'IP'}  	
+<legend>{'Sv_black_liste'|translate}</legend>
+<table>
+ <td><input name="ip_black" id = "ip_black_test" type="text" value="{$ip_black}"	 />
+ <input class="cluetip" title="{'Sv_Test'|translate}|{'Sv_hlp_7_3'|translate}"   type="submit" name="submit" value="{'Sv_Test'|translate}"  /> 
+ { if $ip_black_len > 0}		
+	{if  $IS_SPAM  == true }
+		<label class="erreur">	{'Sv_is_a_spam'|@translate} </label>
+	{ else }
+			{ if  $istype == 'IP'} 	
+				<label class="erreur">	{'Sv_not_a_spam'|@translate} </label>
+			{ else }
+			   <label class="erreur">	{'Sv_no_verif'|@translate} </label>
+			{/if}			
+	{/if}
+</td>
+	<td>
+	<input class="bp cluetip" 
+		title="{'Sv_Ajout'|translate}|{'Sv_hlp_7_4'|translate}"
+		type="submit" 
+		name="submit" 
+		rel="ajout:{$ip_black}"
+		value="{'Sv_Ajout'|@translate}" 
+		alt="{'Sv_Ajout'|@translate} : {$ip_black}" 
+	/>
+  </td>
+  <td>
+ <input type="image" name="submit"   class='bp row1' 
+  src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" 
+  rel="ajout:{$ip_black}"
+  id="btn_ajout{$ip_black}" 
+  alt="{'Sv_Ajout'|@translate} : {$ip_black}"  
+  title="{'Sv_Ajout'|@translate} {$ip_black}" />
+{ else }
+		   
+{/if}
 			
-<input class="cluetip" title="{'Sv_Ajout'|translate}|{'Sv_hlp_7_4'|translate}"    type="submit" name="submit" value="{'Sv_Ajout'|translate}"  />
-
-              <input type="image" name="submit"   class='row1' 
-              src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" 
-	          alt="{'Sv_Ajout'|@translate}" 
-	          onclick = "
- if (confirm( document.getElementById('btn_ajout{$ip_black}').title + '\n\n' + '{'Sv_Are you sure?'|@translate|@escape:'javascript'}'))
-  form_black.info1.value='ajout:{$ip_black}' 
-  "
-	          id="btn_ajout{$ip_black}" 
-              title="{'Sv_Ajout'|@translate} {$ip_black}" />				
-{/if}	
-	{ else }
-		   
-		{/if}
-			
-
-
-			  
+</td>
+	  
+	
 			    
-	     </div>
+	 <td>
 		 <a href="http://www.stopforumspam.com" >  <img src="{$img_logo}"  width="32"/>  http://www.stopforumspam.com
- </a>
-	 </table>  
+ </a></td>
+ </tr>	<tr>   </tr>
+     </table>  
  
 	<table class="table2" >
@@ -89,13 +83,10 @@
 			<td>{$group.nb}</td>
     		<td style="text-align:center;">
-			<input type="image" class="{if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}"  
+			<input type="image" class="bp {if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}"  
      				src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" 
-	 				alt="{'Sv_delete'|@translate}" 
-	 				onclick = "
- 						if (confirm( document.getElementById('btn_delete{$group.ip}').title + '\n\n' + '{'Sv_Are you sure?'|@translate|@escape:'javascript'}'))
-  form_black.info1.value='raz:{$group.ip}' 
-  "
+	 				rel="raz:{$group.ip}"
 	 				id="btn_delete{$group.ip}" 
-      				title="{'Sv_delete'|@translate} {$group.ip}" />
+      				title="{'Sv_delete'|@translate} {$group.ip}" 
+					alt="{'Sv_delete'|@translate} {$group.ip}" />
     			</td>
   		  </tr>
@@ -121,63 +112,53 @@
 	   <td><input class="submit" type="submit" name="prev"  value=   "{'previous_page'|translate}" /></td>
 	{ /if}
-       <td>{'page'|translate}</td>	   
-	   <td><input type="text" name="start"  value="{$start}" size=5  /></td>
-	    <td>/ {$maxipage}  </td>	
-
-	   
+  <td>{'page'|translate}</td>	   
+  <td><input type="text" name="start"  value="{$start}" size=5  /></td>
+  <td>/ {$maxipage}  </td>		   
 	{if $start < $maxipage }   
 	   <td><input class="submit" type="submit" name="next"  value=  "{'Next'|translate}"  /></td>
 		{ /if}   
-	   <td>
-	  <input class="submit" type="submit" name="info" value="{'Sv_list'|translate}" /> 
-	  </td>
-</table>	
-
-
-<table class="table2">
-
-   <tr class="throw"> 
-  
-    <th>{$champs_ip[0]|@translate}</th>
-    <th>{$champs_ip[1]|@translate}</th>
-    <th>{$champs_ip[2]|@translate}</th>
-	<th>{$champs_ip[3]|@translate}</th>
-	<th>{$champs_ip[4]|@translate}</th>
-	<th>{$champs_ip[5]|@translate}</th>
-
-    <th>{'Sv_blackliste'|@translate}</th>
+	   <td><input class="submit" type="submit" name="info" value="{'Sv_list'|translate}" /></td>
+ </table>	
+ <table class="table2">
+  <tr class="throw">   
+   <th>{$champs_ip[0]|@translate}</th>
+   <th>{$champs_ip[1]|@translate}</th>
+   <th>{$champs_ip[2]|@translate}</th>
+   <th>{$champs_ip[3]|@translate}</th>
+   <th>{$champs_ip[4]|@translate}</th>
+   <th>{$champs_ip[5]|@translate}</th>
+   <th>{'Sv_blackliste'|@translate}</th>
   </tr>
-  {if not empty($liste_ip)}
-  
-  {foreach from=$liste_ip item=group name=group_loop}
-  
-  		<tr class="{if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}">
-		 <td>{$group.id}</td>
-          <td>{$group.date}</td>
-	      <td>{$group.time}</td>
-	      <td>{$group.user_id}</td>
-		  <td>{$group.IP}</td>
-         <td>{$group.total}</td>
-      <td style="text-align:center;">
-<input type="image" 
-  class="{if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}" 
-  src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" 
-  onclick = "
- if (confirm( document.getElementById('btn_permissions{$group.IP}').title + '\n\n' + '{'Sv_Are you sure?'|@translate|@escape:'javascript'}'))
-  form_black.info1.value='ajout:{$group.IP}' 
-  "  
-  id="btn_permissions{$group.IP}"
-  title="{'Sv_blacklist'|@translate} {$group.IP}"
-  alt="{'Sv_blacklist'|@translate} {$group.IP}" />
+  {if not empty($liste_ip)}  
+   {foreach from=$liste_ip item=group name=group_loop}  
+    <tr class="{if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}">
+    <td>{$group.id}</td>
+    <td>{$group.date}</td>
+    <td>{$group.time}</td>
+    <td>{$group.user_id}</td>
+    <td>{$group.IP}</td>
+    <td>{$group.total}</td>
+    <td style="text-align:center;">
+		 <input type="image" 
+		   class="bp {if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}" 
+		   src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" 
+		   rel='ajout:{$group.IP}' 
+		   id="btn_permissions{$group.IP}"
+		   title="{'Sv_blacklist'|@translate} {$group.IP}"
+		   alt="{'Sv_blacklist'|@translate} {$group.IP}" />
     </td>
-  
-    <td style="text-align:center;">
-
-    </td>
-  </tr>
-  			{/foreach}
- 		 {/if}
- 			<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" /> {'Sv_set_black_list'|@translate}</td> 
-	</table>
-	</fieldset> 
+    <td style="text-align:center;"></td>
+   </tr>
+   {/foreach}
+  {/if}
+  <td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" /> {'Sv_set_black_list'|@translate}</td> 
+ </table>
+</fieldset> 
 </form>
+<form action="" method="post" name="form_connexion" id="form_connexion" style="visibility:hidden"> 	
+		<input name="pays"  type="text" value =  ""  id = "pays"  >
+		<input name="ville"  type="text" value = ""  id = "ville"   >
+		<input name="region"  type="text" value =  ""   id = "region"   >
+		<input name="latitude"  type="text" value =  "" id = "latitude"   >
+		<input name="longitude"  type="text" value = "" id = "longitude"  >	
+</form >
